Bug 7241 - pedantic type clash in <bits/string2.h>
Summary: pedantic type clash in <bits/string2.h>
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-23 00:24 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-05 03:07:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 1999-11-23 00:24:04 UTC
When I compile an application which includes <bits/string2.h> with
"-pedantic", I see this warning:

/usr/include/bits/string2.h:611: warning: pointer targets in return differ
in signedness

This patch to string2.h fixes the problem:

--- /usr/include/bits/string2.h~	Mon Sep 20 05:12:49 1999
+++ /usr/include/bits/string2.h	Mon Nov 22 19:28:52 1999
@@ -608,7 +608,7 @@
       __u = __extension__ ((void *) __u + 3);
       break;
     }
-  return &__u->__uc;
+  return (char *) &__u->__uc;
 }
 #  else
 #  define __stpcpy_args(src) \

Comment 1 Cristian Gafton 2000-01-05 03:07:59 UTC
Fixed in the rawhide version of glibc.


Note You need to log in before you can comment on or make changes to this bug.